#include "stdio.h"
#include "stdlib.h"

double darray[] = { 16, 17, 3.14, -1.4, 4711, -666, 12.3 };
#define N_DARRAY (sizeof(darray)/sizeof(double))

int iarray[] =  { 16, 17, 3, -1, 4711, -666, 12 };
#define N_IARRAY (sizeof(darray)/sizeof(double))

int compare_double (const void *x, const void *y) {
  return (int) (*(double *) x - *(double *) y);
}

int compare_int (const void *x, const void *y) {
  return (*(int *)x - *(int *)y);
}

int main (int argc, char *argv[]) {
  for (size_t i=0; i<N_DARRAY; i++) {
    printf ("%g\n", darray[i]);
  }
  printf ("**********\n");

  qsort (darray, N_DARRAY, sizeof(double), &compare_double);

  for (size_t i=0; i<N_DARRAY; i++) {
    printf ("%g\n", darray[i]);
  }
  printf ("**********\n");

  return 0;
}
