#include "stdbool.h"
#include "stdio.h"
#include "stdlib.h"
#include "ctype.h"
#include "string.h"

#define BUFSIZE 0x1000

/* read an entire text file into memory */
const char *readfile(const char *fname) {
  bool fromfile = strcmp (fname, "-");
  FILE *fin = fromfile ? fopen (fname, "r") : stdin;
  char *buffer = malloc (1);
  buffer[0] = 0;
  size_t round = 0;
  if (fin != NULL) {
    while (!feof (fin)) {
      buffer = realloc (buffer, (round + 1) * BUFSIZE + 1);
      size_t nread = fread (buffer + round * BUFSIZE, sizeof (char), BUFSIZE, fin);
      buffer[round * BUFSIZE + nread] = 0;
      round++;
    }
  }
  if (fromfile) {
    fclose (fin);
  }
  return buffer;
}

/* ******************************************************************************** */
